import 'package:flutter/foundation.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:uuid/uuid.dart';

@immutable
@JsonSerializable(explicitToJson: true, includeIfNull: false)
class MovieModel {
  @JsonKey(name: 'id')
  final String id;
  @JsonKey(name: 'addedBy')
  final String addedBy;
  @JsonKey(name: 'name')
  final String name;
  @JsonKey(name: 'rating')
  final double rating;
  @JsonKey(name: 'review')
  final String review;

  MovieModel.id(this.name, this.addedBy, this.rating, this.review) : id = const Uuid().v1();

  const MovieModel(this.id, this.name, this.addedBy, this.rating, this.review);

  // factory MovieModel.fromJson(Map<String, dynamic> json) => _$MovieModelFromJson(json);
  // Map<String, dynamic> toJson() => _$MovieModelToJson(this);
}